Loading...
Searching...
No Matches
mdds::trie::numeric_value_serializer< T > Struct Template Reference

`#include <trie_map.hpp>`

Inheritance diagram for mdds::trie::numeric_value_serializer< T >:

## Static Public Member Functions

static void | write (std::ostream &os, const T &v)
static void | read (std::istream &is, size_t n, T &v)

## Static Public Attributes

static constexpr bool | variable_size = false
static constexpr size_t | value_size = sizeof(T)

## Detailed Description

template<typename T>
struct mdds::trie::numeric_value_serializer< T >

Serializer for numeric data types.